import { jsx } from "react/jsx-runtime";
import { TokenOSMO as TokenOSMO$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenOSMO = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "OSMO", "data-name": "TokenOSMO", ...props, children: /* @__PURE__ */ jsx(TokenOSMO$1, { variant }) });
  }
);
TokenOSMO.displayName = "TokenOSMO";
Object.assign(TokenOSMO, { isGdsIcon: true });
export {
  TokenOSMO
};
